/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "project.h"

/*******************************************************************************
* Function Name: main()
********************************************************************************
* Summary:
*  Main function for the CM0+ core.
*
* Parameters:
*  None
*
* Return:
*  None
*
* Theory:
*  The function starts BLE Controller and processes all BLE events.
*
*******************************************************************************/
extern int HostMain(void);
int main(void)
{
    cy_en_ble_api_result_t apiResult;
    __enable_irq(); /* Enable global interrupts. */
    
    #if(CY_BLE_CONFIG_HOST_CORE == CY_BLE_CORE_CORTEX_M0P)   
    
    /* Run Host main */
    HostMain();

    #else
        /* Start BLE Controller for dual core mode */
	    apiResult = Cy_BLE_Start(NULL);
        
        if(apiResult == CY_BLE_SUCCESS)
        {
            /* Enable CM4 only if BLE Controller started successfully.
             * Enable CM4. CY_CORTEX_M4_APPL_ADDR must be updated if CM4 memory 
             * layout is changed. */
            Cy_SysEnableCM4(CY_CORTEX_M4_APPL_ADDR);
        }
        
        for(;;)
        {
            /* Process BLE events continuously for controller in dual core mode */
		    Cy_BLE_ProcessEvents();
        }
    
    #endif /* (CY_BLE_CONFIG_HOST_CORE == CY_BLE_CORE_CORTEX_M0P) */
    
}
/* [] END OF FILE */
