/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "project.h"

extern int HostMain(void);
/*******************************************************************************
* Function Name: main()
********************************************************************************
* Summary:
*  Main function for the CM4 core.
*
* Parameters:
*  None
*
* Return:
*  None
*
* Theory:
*  The function starts BLE and UART components.
*  This function processes all BLE events. See host_main.c for details.
*
*******************************************************************************/
int main()
{
    __enable_irq(); /* Enable global interrupts. */

    #if(CY_BLE_CONFIG_HOST_CORE == CY_BLE_CORE_CORTEX_M4)   
    
    /* Run Host main */
    HostMain();

    #else
    
        /* Start BLE Controller for dual core mode */
	    Cy_BLE_Start(NULL);
       
    for(;;)
    {
        /* Process BLE events continuously for controller in dual core mode */
        Cy_BLE_ProcessEvents();
    }
    
    #endif /* (CY_BLE_CONFIG_HOST_CORE == CY_BLE_CORE_CORTEX_M4) */
}

/* [] END OF FILE */
